[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.AfterConstruction

Method called after the constructor was called.

## Declaration

Source position: objpash.inc line 218

`public procedure TObject.AfterConstruction; virtual;`

## Description

AfterConstruction is a method called after the constructor was called. It does nothing in the implementation of TObject and must be overridden by descendent classes to provide specific behaviour that is executed after the constructor has finished executing. (for instance, call an event handler)

## Errors

None.

## See also

BeforeDestruction |  | Method called before the destructor is called.
Create |  | TObject Constructor

Documentation generated on: Feb 26 2014